Re: [code] Compiling TextAdept in CentOS

From: Mitchell <m.att.foicica.com>
Date: Mon, 9 Dec 2013 14:03:47 -0500 (Eastern Standard Time)

Hi Gert,

On Mon, 9 Dec 2013, Gert Meulyzer wrote:

> Hi,
>
> I'm trying to compile 7.1 on CentOS and am running into this error:
>
> &lt;snip&gt;
> gcc -c -DLUA_USE_LINUX -Ilua/src lua/src/lib/lpeg.c -o lpeg.o
> gcc -c -DLUA_USE_LINUX -Ilua/src lua/src/lib/lfs.c -o lfs.o
> lua/src/lib/lfs.c:881: error: expected identifier or ‘(’ before ‘{’ token
> lua/src/lib/lfs.c:882: error: expected identifier or ‘(’ before ‘{’ token
> make: *** [lfs.o] Error 1
>
> Is this a known issue or am I doing something dumb?

I have not run into this issue. I presume that when you ran 'make deps'
first, the lfs patch succeeded? If so, please attach your lfs.c or at
least inline the code around those lines so I can examine it.

Cheers,
Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Mon 09 Dec 2013 - 14:03:47 EST

This archive was generated by hypermail 2.2.0 : Tue 10 Dec 2013 - 06:31:36 EST